Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 128032 - IllegalArgumentException: /home/pavel/NetBeansProjects/DeleteAgain/src/deleteagain is not inside /home/pavel/NetBeansProjects/DeleteAgain/src
IllegalArgumentException: /home/pavel/NetBeansProjects/DeleteAgain/src/delete...
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Ant Project
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Milan Kubec
issues@projects
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on: 204271
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-21 15:25 UTC by pribyl
Modified: 2011-11-08 20:42 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.44 KB, text/plain)
2008-02-21 15:25 UTC, pribyl
Details
stacktrace (2.25 KB, text/plain)
2008-02-22 13:08 UTC, pribyl
Details
stacktrace (2.29 KB, text/plain)
2008-03-03 15:58 UTC, kate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pribyl 2008-02-21 15:25:00 UTC
Build: NetBeans IDE Dev (Build 200802191203)
VM: Java HotSpot(TM) Client VM, 10.0-b19
OS: Linux, 2.6.22-14-generic, i386

User Comments: 
Occured when tried to "revert delete" on a  couple of files after CVS repository importing and deleting
Comment 1 pribyl 2008-02-21 15:25:13 UTC
Created attachment 56993 [details]
stacktrace
Comment 2 pribyl 2008-02-22 13:08:38 UTC
Build: NetBeans IDE Dev (Build 200802191203)
VM: Java HotSpot(TM) Client VM, 10.0-b19
OS: Linux, 2.6.22-14-generic, i386

User Comments: 
Revert delete on multiple deleted files in a SVN versioned project
Comment 3 pribyl 2008-02-22 13:08:52 UTC
Created attachment 57063 [details]
stacktrace
Comment 4 kate 2008-03-03 15:58:43 UTC
Build: NetBeans IDE Dev (Build 200803021202)
VM: Java HotSpot(TM) Client VM, 1.6.0_01-b06
OS: SunOS, 5.11, x86

User Comments: 
'Revert Delete' of a folder in completely deleted project
Comment 5 kate 2008-03-03 15:58:52 UTC
Created attachment 57684 [details]
stacktrace
Comment 6 Milan Kubec 2008-03-04 09:14:31 UTC
Another instance of the same problem with similar steps in different order:

java.lang.IllegalArgumentException: C:\Documents and Settings\Milan\My
Documents\NetBeansProjects\JavaApplication4\src\javaapplication4\Main.java is not inside C:\Documents and
Settings\Milan\My Documents\NetBeansProjects\JavaApplication4\src
        at org.netbeans.spi.project.support.ant.SourcesHelper$SourceRoot$Group.contains(SourcesHelper.java:176)
        at
org.netbeans.spi.java.project.support.ui.PackageViewChildren$NoFoldersDataFilter.acceptDataObject(PackageViewChildren.java:1149)
        at org.openide.loaders.FolderChildren.createNodes(FolderChildren.java:168)
        at org.openide.loaders.FolderChildren.createNodes(FolderChildren.java:59)
        at org.openide.nodes.Children$Keys$KE.nodes(Children.java:2250)
        at org.openide.nodes.Children.refreshEntry(Children.java:1163)
        at org.openide.nodes.Children$Keys$1.run(Children.java:2050)
        at org.openide.util.Mutex.postRequest(Mutex.java:1251)
        at org.openide.util.Mutex.postWriteRequest(Mutex.java:582)
Comment 7 Milan Kubec 2008-03-21 14:38:57 UTC
Fixed.

http://hg.netbeans.org/main/rev/d52a797c85ad
Comment 8 pribyl 2008-04-03 16:09:34 UTC
Verified.

No exceptions anymore :)
Comment 9 bwf93 2008-10-03 19:29:41 UTC
Reopening - reproduced in NetBeans IDE 6.1 (Build 200805300101)
Comment 10 Milan Kubec 2008-11-21 13:39:47 UTC
bwf93, please provide some comments about how you reproduced the exception. Thanks.
Comment 11 Milan Kubec 2009-06-30 10:42:50 UTC
No more info from last reporter. Not reproducible for me. Closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo